Subject: [PATCH v2] clocksource/arm_arch_timer: Enable and verify MMIO access

From: [email-masked] (Stephen Boyd)
Date: Mon, 1 Feb 2016 11:58:16 -0800

On 02/01, Robin Murphy wrote:
> So far, we have been blindly assuming that having access to a
> memory-mapped timer frame implies that the individual elements of that
> frame frame are already enabled. Whilst it's the firmware's job to give
> us non-secure access to frames in the first place, we should not rely
> on implementations always being generous enough to also configure CNTACR
> for those non-secure frames (e.g. [1]).
> 
> Explicitly enable feature-level access per-frame, and verify that the
> access we want is really implemented before trying to make use of it.
> 
> [1]:https://github.com/ARM-software/tf-issues/issues/170
> 
> Signed-off-by: Robin Murphy <[email-masked]>
> ---

Reviewed-by: Stephen Boyd <[email-masked]>
Tested-by: Stephen Boyd <[email-masked]>

-- 
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum,
a Linux Foundation Collaborative Project